Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.gbf
Class TextTagBuilder

    java.lang.Object
      org.crosswire.jsword.book.filter.gbf.TextTagBuilder

All Implemented Interfaces:
  TagBuilder

    public class TextTagBuilder

extends Object
implements TagBuilder

Represent a trunc of bible text without any tags.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: TextTagBuilder.java,v 1.3 2004/05/11 23:54:19 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`TextTagBuilder()`

Method Summary
`Tag` | `createTag(String name)` Is the `name` one that we can create a Tag for?.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTagBuilder

    public TextTagBuilder()

Method Detail

### createTag

    public Tag createTag(String name)

  Description copied from interface: `TagBuilder`
  Is the `name` one that we can create a Tag for?. If so then we return a Tag, but if not we return null.

  Specified by:
    `createTag` in interface `TagBuilder`
  Parameters:
    `name` - The tag name to test
  Returns:
    a new tag or null if the name isn't one we know about

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD